From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-scheme/bigloo/
Date: Sun, 27 Mar 2022 15:55:15 +0000 (UTC) [thread overview]
Message-ID: <1648396428.3c6a4d25077a40a7bd9aa8c2fb082bfe1cd02c1c.xgqt@gentoo> (raw)
commit: 3c6a4d25077a40a7bd9aa8c2fb082bfe1cd02c1c
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 15:45:50 2022 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 15:53:48 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c6a4d25
dev-scheme/bigloo: respect AS, AR and RANLIB
Closes: https://bugs.gentoo.org/836246
Clsoes: https://bugs.gentoo.org/836247
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-scheme/bigloo/bigloo-4.4c_p4-r1.ebuild | 20 ++++++++++++++++----
1 file changed, 16 insertions(+), 4 deletions(-)
diff --git a/dev-scheme/bigloo/bigloo-4.4c_p4-r1.ebuild b/dev-scheme/bigloo/bigloo-4.4c_p4-r1.ebuild
index e0bff03017b4..0d56b78e294e 100644
--- a/dev-scheme/bigloo/bigloo-4.4c_p4-r1.ebuild
+++ b/dev-scheme/bigloo/bigloo-4.4c_p4-r1.ebuild
@@ -54,13 +54,25 @@ BDEPEND="
DOCS=( ChangeLog README.md TODO.org )
SITEFILE="50${PN}-gentoo.el"
+src_prepare() {
+ default
+
+ sed -e "/^ar=/s|=|=\"$(tc-getAR)\"|" \
+ -e "/^ranlib=/s|=|=\"$(tc-getRANLIB)\"|" \
+ -i ./configure || die
+
+ sed "s|^ar |$(tc-getAR) |" -i ./autoconf/ranlib || die
+}
+
src_configure() {
tc-export AR AS CC CPP CXX LD
- export CFLAGS="${CFLAGS}"
- export LDFLAGS="${LDFLAGS}"
+ export CFLAGS
+ export LDFLAGS
- myconf=(
- # Compilation FLAGS
+ local myconf=(
+ # Compilation
+ --as="$(tc-getAS)"
+ --cc="$(tc-getCC)"
--cflags="${CFLAGS}"
--cpicflags="-fPIC"
--cwarningflags=""
next reply other threads:[~2022-03-27 15:55 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-27 15:55 Maciej Barć [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-04-19 23:16 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/bigloo/ Maciej Barć
2023-01-15 23:05 Maciej Barć
2023-01-16 20:18 Maciej Barć
2023-07-08 21:22 Maciej Barć
2023-10-22 8:46 Maciej Barć
2024-03-17 5:34 Sam James
2024-06-05 19:33 Maciej Barć
2024-06-06 8:09 Maciej Barć
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1648396428.3c6a4d25077a40a7bd9aa8c2fb082bfe1cd02c1c.xgqt@gentoo \
--to=xgqt@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox